Bug 727015 - sshd service is not started on startup until deleted and readded
sshd service is not started on startup until deleted and readded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-31 23:26 EDT by Jean-François Fortin Tam
Modified: 2013-02-26 10:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:05:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jean-François Fortin Tam 2011-07-31 23:26:41 EDT
On a fully updated fresh install of Fedora 15, the sshd service is never started automatically. Yet:


jeff@kusanagi:~$ LANG=C chkconfig |grep ssh
sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off


But then, running the following two commands:
chkconfig --del sshd
chkconfig --add sshd

Works around the problem.
What puzzles me is that it happened in the first place and that chkconfig was returning the wrong status for it.
Comment 1 Bill Nottingham 2011-08-01 14:53:10 EDT
Before you changed it, what was the output of 'systemctl status sshd.service'?
Comment 2 Jean-François Fortin Tam 2011-11-06 09:57:56 EST
On a fresh install of Fedora 16 RC5 on november 4th (thus there was no updates to sshd required after installing), the output of that command was:

# systemctl status sshd.service
sshd.service - OpenSSH server daemon.
Loaded: loaded (/lib/systemd/system/sshd.service; disabled)
Active: inactive (dead)
CGroup: name=systemd:/system/sshd.service


And then, after simply removing and reinstalling the openssh-server package, it was now:

# systemctl status sshd.service
sshd.service - OpenSSH server daemon.
	  Loaded: loaded (/lib/systemd/system/sshd.service; enabled)
	  Active: active (running) since Sat, 05 Nov 2011 23:17:00 -0400; 11h ago
	Main PID: 931 (sshd)
	  CGroup: name=systemd:/system/sshd.service
		  └ 931 /usr/sbin/sshd -D



It's rather curious. It seems as if the package installed by default is defective and that reinstalling it makes the service properly register itself...?
Comment 3 andyzhu35 2011-11-25 20:41:06 EST
I have a similar problem with sshd startup at boot.  This is F16 x86_64, fresh installed a couple of days ago. I configured my sshd_config and set up my client/server environment across firewall for my home office setting.  I remember I removed all the /etc/ssh/ public and private keys there (the original moduli was untouched).  So after reboot, these keys are regenerated but the sshd is not started, the output from 'systemctl status sshd.service':

sshd.service - OpenSSH server daemon
	  Loaded: loaded (/lib/systemd/system/sshd.service; enabled)
	  Active: failed since Fri, 25 Nov 2011 19:11:28 -0500; 1h 9min ago
	 Process: 1004 ExecStart=/usr/sbin/sshd -D $OPTIONS (code=exited, status=255)
	  CGroup: name=systemd:/system/sshd.service

I can manually start sshd after boot.  However I think it is better if it starts during boot process.

I also tried to chkconfig --add sshd but got error: error reading information on service sshd: No such file or directory.

Any idea?  Do I have to reinstall the package?
Comment 4 andyzhu35 2011-11-28 23:24:19 EST
Answer my question here regarding starting up sshd at boot time, in case ....  This is related to the systemd which was introduced since F15 and I missed out the F15 because of its mvsas driver in the kernal.

"A saturated grey" has a blog on the sshd.socket/sshd@.service which provide per connection based systemd service (http://0pointer.de/blog/projects/the-journal.html).  So sshd is loaded at boot time but until there is active connection then sshd is in full service.
Comment 5 andyzhu35 2011-11-28 23:25:35 EST
I hope this sshd.socket/sshd@.service should be included in the /lib/systemd/system
Comment 6 Lukáš Nykrýn 2012-10-19 06:56:59 EDT
Fedora 15 is no longer supported and openssh has unit file in F16.
Comment 7 Fedora End Of Life 2013-01-16 12:01:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-26 10:05:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.